Subject: Your Company Has No Customer Service
From: Jeff Kerwood <[email-masked]>
To: [email-masked]
Date: Thu, 20 Feb 2025 11:30:51 -0500

To Whom It May Concern:

I have called the customer service line multiple times.  The only time an
actual person picked up the phone, it sounded like she was mowing her yard
in the background.  She asked me to call back in 30 minutes.  After this
brief exchange, I have never been able to get a person to pick up the
phone.

I have tried to call every extension as well with no success.

I'm calling because I cannot subscribe with my email address so it isn't
allowing me to get my 15% off discount code.

Jeff
470-653-0283